/*
 Focus vision du 26 et27 mai 2021
 Cecible cible electrique 
 Code pour tester directement avec l'afficheur si la cible est bien cablée et fonctionnelle.
*/

#include "BluetoothSerial.h"
#include <TFT_eSPI.h> // Graphics and font library for ST7735 driver chip
#include <SPI.h>


#define ADC_EN              14  //ADC_EN is the ADC detection enable port
#define ADC_PIN             34

// New background colour
#define TFT_BROWN 0x38E0

// Pause in milliseconds between screens, change to 0 to time font rendering
#define WAIT 2000

#if !defined(CONFIG_BT_ENABLED) || !defined(CONFIG_BLUEDROID_ENABLED)
#error Bluetooth is not enabled! Please run `make menuconfig` to and enable it
#endif

BluetoothSerial SerialBT;
TFT_eSPI tft = TFT_eSPI();  // Invoke library, pins defined in User_Setup.h

const unsigned int MAX_MESSAGE_LENGTH = 128;

const int q1 = 27; // ctrl quart q1
const int q2 = 26; // ctrl quart q2
const int q3 = 25; // ctrl quart q3
const int q4 = 33; // ctrl quart q4

const int a1 = 12; // ctrl Anneau A1
const int a2 = 13; // ctrl Anneau A2
const int a3 = 15; //ctrl Anneau A3
const int a4 = 2;  // ctrl Anneau A4/
const int a5 = 17; // ctrl Anneau A5

const int buzzer = 32;//17; //controle du buzzer


int nb_char;
int vref  = 1100;
int btnCick = false;

int incomingByte = 0; // for incoming serial data

int etat_anneau [5][6];

String cmd = "";

bool cadre = false;

int val_point = 2 ;             // definir le coefficient de multiplication du point, il est toujour pair
                                // le résultat renvoyé sera le n° de l'anneau * par cette valeur
char dg = ' ';                 // position à droite ou à gauche par rapport au centre de la cible
char hb = ' ';                 // position en haut ou en bas par rapport au centre de la cible
int point;                     // point marqué (0 si hors cible, 1 pour anneau ext. 2,3, et 4 pour centre de cible)

int nb_secteur_en_contact = 0;



void setup() {
  // toutes les bornes sont en mode entrée résistance de tirage au plus
  pinMode(q1, INPUT_PULLUP);
  pinMode(q2, INPUT_PULLUP);
  pinMode(q3, INPUT_PULLUP);
  pinMode(q4, INPUT_PULLUP);
  pinMode(a1, INPUT_PULLUP);
  pinMode(a2, INPUT_PULLUP);
  pinMode(a3, INPUT_PULLUP);
  pinMode(a4, INPUT_PULLUP);
  pinMode(a5, INPUT_PULLUP);

  pinMode(buzzer, OUTPUT); // le buzzer est cablé ente le +3v et lsa sortie 17. La sortie à 1 il ne fonctionne pas, la sortie à 0 il buzz
                            // de cette maniere, on entend un petit bit à la mise sous tension

  Serial.begin(115200);
  SerialBT.begin("ESP32_TTGO_OLED"); //Bluetooth device name
  Serial.println("The device started, now you can pair it with bluetooth!");

  tft.init();
  tft.setRotation(3); // 0 usb en bas ;1 usb à droite; 2 usb en haut ; 3 usb a gauche


  // tft.setTextSize(4);
  tft.setTextFont(4);
  tft.fillScreen(TFT_BLACK);
  tft.setTextColor(TFT_WHITE, TFT_BLACK);
  tft.setCursor(10, 10);

  Affiche_Cadre (true);
  digitalWrite(buzzer,LOW);
  delay(100);
  digitalWrite(buzzer,HIGH);
}


void loop() {
  test_secteur();
  delay(100);
  Affiche_Donnees ();
  delay(100);
}
